New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Incorrect version of Node package in Yum repo #340

Closed
psaint opened this Issue Jul 28, 2016 · 25 comments

Comments

Projects
None yet
@psaint

psaint commented Jul 28, 2016

  • Version: 4.x
  • Platform: CentOS 6.7

Yum repo for version 4.x do not have NodeJS in version 4.x but instead it has version 0.10.x.

I have followed instructions on https://nodejs.org/en/download/package-manager/#enterprise-linux-and-fedora and when I run:

> curl --silent --location https://rpm.nodesource.com/setup_4.x | bash -

I get:

## Installing the NodeSource Node.js v4.x LTS Argon repo...


## Inspecting system...

+ rpm -q --whatprovides redhat-release || rpm -q --whatprovides centos-release || rpm -q --whatprovides cloudlinux-release || rpm -q --whatprovides sl-release
+ uname -m

## Confirming "el6-x86_64" is supported...

+ curl -sLf -o /dev/null 'https://rpm.nodesource.com/pub_4.x/el/6/x86_64/nodesource-release-el6-1.noarch.rpm'

## Downloading release setup RPM...

+ mktemp
+ curl -sL -o '/tmp/tmp.EvZxJi2VwT' 'https://rpm.nodesource.com/pub_4.x/el/6/x86_64/nodesource-release-el6-1.noarch.rpm'

## Installing release setup RPM...

+ rpm -i --nosignature --force '/tmp/tmp.EvZxJi2VwT'

## Cleaning up...

+ rm -f '/tmp/tmp.EvZxJi2VwT'

## Checking for existing installations...

+ rpm -qa 'node|npm' | grep -v nodesource
XNode.js v4.x LTS Argon == XNode.js v5.x

## Run `yum install -y nodejs` (as root) to install Node.js v4.x LTS Argon and npm.
You may also need development tools to build native addons:
  `yum install -y gcc-c++ make`

However the Node version available to yum is the old one:

 yum --showduplicates --disablerepo=* --enablerepo=nodesource list nodejs

Loaded plugins: fastestmirror, security, versionlock
Loading mirror speeds from cached hostfile
Available Packages
nodejs.x86_64                                                  0.10.31-1nodesource.el6                                                   nodesource
nodejs.x86_64                                                  0.10.32-1nodesource.el6                                                   nodesource
nodejs.x86_64                                                  0.10.33-1nodesource.el6                                                   nodesource
nodejs.x86_64                                                  0.10.34-1nodesource.el6                                                   nodesource
nodejs.x86_64                                                  0.10.35-1nodesource.el6                                                   nodesource
nodejs.x86_64                                                  0.10.36-1nodesource.el6                                                   nodesource
nodejs.x86_64                                                  0.10.38-1nodesource.el6                                                   nodesource
nodejs.x86_64                                                  0.10.39-1nodesource.el6                                                   nodesource
nodejs.x86_64                                                  0.10.40-1nodesource.el6                                                   nodesource
nodejs.x86_64                                                  0.10.41-1nodesource.el6                                                   nodesource
nodejs.x86_64                                                  0.10.42-1nodesource.el6                                                   nodesource
nodejs.x86_64                                                  0.10.43-1nodesource.el6                                                   nodesource
nodejs.x86_64                                                  0.10.44-1nodesource.el6                                                   nodesource
nodejs.x86_64                                                  0.10.45-1nodesource.el6                                                   nodesource
nodejs.x86_64                                                  0.10.46-1nodesource.el6                                                   nodesource

And when trying to install nodejs package I'm getting:

yum --disablerepo=* --enablerepo=nodesource install nodejs
Loaded plugins: fastestmirror, security, versionlock
Setting up Install Process
Loading mirror speeds from cached hostfile
Resolving Dependencies
--> Running transaction check
---> Package nodejs.x86_64 0:0.10.46-1nodesource.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

===================================================================================================================================================
 Package                      Arch                         Version                                          Repository                        Size
===================================================================================================================================================
Installing:
 nodejs                       x86_64                       0.10.46-1nodesource.el6                          nodesource                       5.5 M

Transaction Summary
===================================================================================================================================================
Install       1 Package(s)

Total download size: 5.5 M
@chrislea

This comment has been minimized.

Contributor

chrislea commented Sep 20, 2016

Did you previously have any of our repositories set up? I'm curious about the output from the installer that reads:

+ rpm -qa 'node|npm' | grep -v nodesource
XNode.js v4.x LTS Argon == XNode.js v5.x
@StubbsPKS

This comment has been minimized.

StubbsPKS commented Sep 27, 2016

I am having the same issue. I have never had one of the nodesource repos installed until today.

#  curl --silent --location https://rpm.nodesource.com/setup_4.x | sudo bash -

## Installing the NodeSource Node.js v4.x LTS Argon repo...


## Inspecting system...

+ rpm -q --whatprovides redhat-release || rpm -q --whatprovides centos-release || rpm -q --whatprovides cloudlinux-release || rpm -q --whatprovides sl-release
+ uname -m

## Confirming "el6-x86_64" is supported...

+ curl -sLf -o /dev/null 'https://rpm.nodesource.com/pub_4.x/el/6/x86_64/nodesource-release-el6-1.noarch.rpm'

## Downloading release setup RPM...

+ mktemp
+ curl -sL -o '/tmp/tmp.ck9eeb0NYm' 'https://rpm.nodesource.com/pub_4.x/el/6/x86_64/nodesource-release-el6-1.noarch.rpm'

## Installing release setup RPM...

+ rpm -i --nosignature --force '/tmp/tmp.ck9eeb0NYm'

## Cleaning up...

+ rm -f '/tmp/tmp.ck9eeb0NYm'

## Checking for existing installations...

+ rpm -qa 'node|npm' | grep -v nodesource
XNode.js v4.x LTS Argon == XNode.js v5.x

## Run `yum install -y nodejs` (as root) to install Node.js v4.x LTS Argon and npm.
You may also need development tools to build native addons:
  `yum install -y gcc-c++ make`
@chrislea

This comment has been minimized.

Contributor

chrislea commented Sep 27, 2016

Can you show us the output of

cat /etc/yum.repos.d/nodesource-el.repo

run as root please?

@StubbsPKS

This comment has been minimized.

StubbsPKS commented Sep 27, 2016

[nodesource]
name=Node.js Packages for Enterprise Linux 6 - $basearch
baseurl=https://rpm.nodesource.com/pub_4.x/el/6/$basearch
failovermethod=priority
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/NODESOURCE-GPG-SIGNING-KEY-EL

[nodesource-source]
name=Node.js for Enterprise Linux 6 - $basearch - Source
baseurl=https://rpm.nodesource.com/pub_4.x/el/6/SRPMS
failovermethod=priority
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/NODESOURCE-GPG-SIGNING-KEY-EL
gpgcheck=1

@chrislea

This comment has been minimized.

Contributor

chrislea commented Sep 27, 2016

Okay, that looks correct. What's the output of

rpm -qa 'node|npm'
@StubbsPKS

This comment has been minimized.

StubbsPKS commented Sep 27, 2016

# sudo rpm -qa 'node|npm'
nodesource-release-el6-1.noarch
nodejs-0.10.46-1nodesource.el6.x86_64
nodesource-release-el7-1.noarch

@chrislea

This comment has been minimized.

Contributor

chrislea commented Sep 27, 2016

Okay, so it looks like you had a previous version installed, and you also have two of the release files installed, which is probably messing things up. Please try:

yum remove nodesource-release* nodejs
yum clean all

The, check

rpm -qa 'node|npm'

again and make sure there's nothing there, and then run the installer script again.

@StubbsPKS

This comment has been minimized.

StubbsPKS commented Sep 27, 2016

That version is the one installed from when I did yum -y install nodejs. I went through and cleaned out the two release files as suggested. Nothing showed up when doing rpm -qa after that.

Ran the installer:

# curl --silent --location https://rpm.nodesource.com/setup_4.x | sudo bash -

## Installing the NodeSource Node.js v4.x LTS Argon repo...


## Inspecting system...

+ rpm -q --whatprovides redhat-release || rpm -q --whatprovides centos-release || rpm -q --whatprovides cloudlinux-release || rpm -q --whatprovides sl-release
+ uname -m

## Confirming "el6-x86_64" is supported...

+ curl -sLf -o /dev/null 'https://rpm.nodesource.com/pub_4.x/el/6/x86_64/nodesource-release-el6-1.noarch.rpm'

## Downloading release setup RPM...

+ mktemp
+ curl -sL -o '/tmp/tmp.R3FvjhhODw' 'https://rpm.nodesource.com/pub_4.x/el/6/x86_64/nodesource-release-el6-1.noarch.rpm'

## Installing release setup RPM...

+ rpm -i --nosignature --force '/tmp/tmp.R3FvjhhODw'

## Cleaning up...

+ rm -f '/tmp/tmp.R3FvjhhODw'

## Checking for existing installations...

+ rpm -qa 'node|npm' | grep -v nodesource
XNode.js v4.x LTS Argon == XNode.js v5.x

## Run `yum install -y nodejs` (as root) to install Node.js v4.x LTS Argon and npm.
You may also need development tools to build native addons:
  `yum install -y gcc-c++ make`

I only have the one release file now:

# sudo rpm -qa 'node|npm'
nodesource-release-el6-1.noarch

Ruh-Roh:

# sudo yum install -y nodejs
Loaded plugins: fastestmirror, refresh-packagekit, security
Setting up Install Process
Determining fastest mirrors
epel/metalink                                                                               |  11 kB     00:00
 * base: mirror.trouble-free.net
 * elrepo: mirrors.evowise.com
 * epel: mirror.symnds.com
 * extras: centos.mirrors.tds.net
 * rpmforge: repoforge.spinellicreations.com
 * updates: mirrors.advancedhosters.com
WandiscoSVN                                                                                 |  951 B     00:00
WandiscoSVN/primary                                                                         |  20 kB     00:00
WandiscoSVN                                                                                                  84/84
adobe-linux-x86_64                                                                          |  951 B     00:00
adobe-linux-x86_64/primary                                                                  | 1.2 kB     00:00
adobe-linux-x86_64                                                                                             2/2
base                                                                                        | 3.7 kB     00:00
base/primary_db                                                                             | 4.7 MB     00:02
docker-main-repo                                                                            | 2.9 kB     00:00
docker-main-repo/primary_db                                                                 | 3.3 kB     00:00
elrepo                                                                                      | 2.9 kB     00:00
elrepo/primary_db                                                                           | 716 kB     00:00
epel                                                                                        | 4.3 kB     00:00
epel/primary_db                                                                             | 5.9 MB     00:02
epel-apache-maven                                                                           | 2.4 kB     00:00
epel-apache-maven/primary_db                                                                | 3.7 kB     00:00
extras                                                                                      | 3.4 kB     00:00
extras/primary_db                                                                           |  37 kB     00:00
google-chrome                                                                               |  951 B     00:00
google-chrome/primary                                                                       | 2.0 kB     00:00
google-chrome                                                                                                  3/3
rpmforge                                                                                    | 1.9 kB     00:00
rpmforge/primary_db                                                                         | 2.7 MB     00:01
updates                                                                                     | 3.4 kB     00:00
updates/primary_db                                                                          | 2.0 MB     00:00
virtualbox                                                                                  |  951 B     00:00
virtualbox/primary                                                                          |  12 kB     00:00
virtualbox                                                                                                   38/38
Resolving Dependencies
--> Running transaction check
---> Package nodejs.x86_64 0:0.10.46-1nodesource.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

===================================================================================================================
 Package              Arch                 Version                                  Repository                Size
===================================================================================================================
Installing:
 nodejs               x86_64               0.10.46-1nodesource.el6                  nodesource               5.5 M

Transaction Summary
===================================================================================================================
Install       1 Package(s)

Total download size: 5.5 M
Installed size: 19 M
Downloading Packages:
https://rpm.nodesource.com/pub_4.x/el/6/x86_64/nodejs-0.10.46-1nodesource.el6.x86_64.rpm: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 404 Not Found"
Trying other mirror.


Error Downloading Packages:
  nodejs-0.10.46-1nodesource.el6.x86_64: failure: nodejs-0.10.46-1nodesource.el6.x86_64.rpm from nodesource: [Errno 256] No more mirrors to try.

Edit:

# yum --disablerepo=* --enablerepo=nodesource list nodejs
Loaded plugins: fastestmirror, refresh-packagekit, security
Determining fastest mirrors
Available Packages
nodejs.x86_64                                  0.10.46-1nodesource.el6                                   nodesource
@chrislea

This comment has been minimized.

Contributor

chrislea commented Sep 27, 2016

Well, that's obviously wrong. As you can see, it's looking for the 0.10.46 package from https://rpm.nodesource.com/pub_4.x/el/6/x86_64/, where it obviously isn't finding anything. Are you behind any kind of network proxy? If not, can you clear out everything again, and then invoke the installer script as:

curl --silent --location https://rpm.nodesource.com/setup_4.x | sudo bash -xe -

and putting the full output here? Thanks.

@chrislea

This comment has been minimized.

Contributor

chrislea commented Sep 27, 2016

Oh, and has anything been versionlocked? Meaning is there anything in the file

/etc/yum/pluginconf.d/versionlock.list

?

@StubbsPKS

This comment has been minimized.

StubbsPKS commented Sep 27, 2016

The version lock file is empty. If I'm not mistaken, I'm not sitting behind a proxy.

# curl --silent --location https://rpm.nodesource.com/setup_4.x | sudo bash -xe -
+ SCRSUFFIX=_4.x
+ NODENAME='Node.js v4.x LTS Argon'
+ NODEREPO=pub_4.x
+ NODEPKG=nodejs
+ test -t 1
++ which tput
++ tput colors
+ ncolors=8
+ test -n 8
+ test 8 -ge 8
++ tput cols
+ termcols=115
++ tput bold
+ bold=''
++ tput smul
+ underline=''
++ tput smso
+ standout=''
++ tput sgr0
+ normal=''
++ tput setaf 0
+ black=''
++ tput setaf 1
+ red=''
++ tput setaf 2
+ green=''
++ tput setaf 3
+ yellow=''
++ tput setaf 4
+ blue=''
++ tput setaf 5
+ magenta=''
++ tput setaf 6
+ cyan=''
++ tput setaf 7
+ white=''
+ setup
+ script_deprecation_warning
+ '[' X_4.x == X ']'
+ print_status 'Installing the NodeSource Node.js v4.x LTS Argon repo...'
++ echo 'Installing the NodeSource Node.js v4.x LTS Argon repo...'
+ local 'outp=Installing the NodeSource Node.js v4.x LTS Argon repo...'
+ echo

+ echo -e '## Installing the NodeSource Node.js v4.x LTS Argon repo...'
## Installing the NodeSource Node.js v4.x LTS Argon repo...
+ echo

+ print_status 'Inspecting system...'
++ echo 'Inspecting system...'
+ local 'outp=Inspecting system...'
+ echo

+ echo -e '## Inspecting system...'
## Inspecting system...
+ echo

+ '[' '!' -x /bin/rpm ']'
+ echo '+ rpm -q --whatprovides redhat-release || rpm -q --whatprovides centos-release || rpm -q --whatprovides cloudlinux-release || rpm -q --whatprovides sl-release'
+ rpm -q --whatprovides redhat-release || rpm -q --whatprovides centos-release || rpm -q --whatprovides cloudlinux-release || rpm -q --whatprovides sl-release
++ rpm -q --whatprovides redhat-release
+ DISTRO_PKG=centos-release-6-6.el6.centos.12.2.x86_64
+ echo '+ uname -m'
+ uname -m
++ uname -m
+ UNAME_ARCH=x86_64
+ '[' Xx86_64 == Xi686 ']'
+ '[' Xx86_64 == Xx86_64 ']'
+ DIST_ARCH=x86_64
+ [[ centos-release-6-6.el6.centos.12.2.x86_64 =~ ^(redhat|centos|cloudlinux|sl)- ]]
+ DIST_TYPE=el
+ [[ centos-release-6-6.el6.centos.12.2.x86_64 =~ ^system-release-201[4-9]\. ]]
++ echo centos-release-6-6.el6.centos.12.2.x86_64
++ sed -r 's/^[[:alpha:]]+-release(-server|-workstation|-client)?-([0-9]+).*$/\2/'
+ DIST_VERSION=6
+ [[ 6 =~ ^[0-9][0-9]?$ ]]
+ RELEASE_URL_VERSION_STRING=el6
+ RELEASE_URL=https://rpm.nodesource.com/pub_4.x/el/6/x86_64/nodesource-release-el6-1.noarch.rpm
+ print_status 'Confirming "el6-x86_64" is supported...'
++ echo 'Confirming "el6-x86_64" is supported...'
+ local 'outp=Confirming "el6-x86_64" is supported...'
+ echo

+ echo -e '## Confirming "el6-x86_64" is supported...'
## Confirming "el6-x86_64" is supported...
+ echo

+ exec_cmd_nobail 'curl -sLf -o /dev/null '\''https://rpm.nodesource.com/pub_4.x/el/6/x86_64/nodesource-release-el6-1.noarch.rpm'\'''
+ echo '+ curl -sLf -o /dev/null '\''https://rpm.nodesource.com/pub_4.x/el/6/x86_64/nodesource-release-el6-1.noarch.rpm'\'''
+ curl -sLf -o /dev/null 'https://rpm.nodesource.com/pub_4.x/el/6/x86_64/nodesource-release-el6-1.noarch.rpm'
+ bash -c 'curl -sLf -o /dev/null '\''https://rpm.nodesource.com/pub_4.x/el/6/x86_64/nodesource-release-el6-1.noarch.rpm'\'''
+ RC=0
+ [[ 0 != 0 ]]
+ '[' el == el ']'
+ '[' 6 == 5 ']'
+ print_status 'Downloading release setup RPM...'
++ echo 'Downloading release setup RPM...'
+ local 'outp=Downloading release setup RPM...'
+ echo

+ echo -e '## Downloading release setup RPM...'
## Downloading release setup RPM...
+ echo

+ echo '+ mktemp'
+ mktemp
++ mktemp
+ RPM_TMP=/tmp/tmp.vSzhS88mQi
+ exec_cmd 'curl -sL -o '\''/tmp/tmp.vSzhS88mQi'\'' '\''https://rpm.nodesource.com/pub_4.x/el/6/x86_64/nodesource-release-el6-1.noarch.rpm'\'''
+ exec_cmd_nobail 'curl -sL -o '\''/tmp/tmp.vSzhS88mQi'\'' '\''https://rpm.nodesource.com/pub_4.x/el/6/x86_64/nodesource-release-el6-1.noarch.rpm'\'''
+ echo '+ curl -sL -o '\''/tmp/tmp.vSzhS88mQi'\'' '\''https://rpm.nodesource.com/pub_4.x/el/6/x86_64/nodesource-release-el6-1.noarch.rpm'\'''
+ curl -sL -o '/tmp/tmp.vSzhS88mQi' 'https://rpm.nodesource.com/pub_4.x/el/6/x86_64/nodesource-release-el6-1.noarch.rpm'
+ bash -c 'curl -sL -o '\''/tmp/tmp.vSzhS88mQi'\'' '\''https://rpm.nodesource.com/pub_4.x/el/6/x86_64/nodesource-release-el6-1.noarch.rpm'\'''
+ print_status 'Installing release setup RPM...'
++ echo 'Installing release setup RPM...'
+ local 'outp=Installing release setup RPM...'
+ echo

+ echo -e '## Installing release setup RPM...'
## Installing release setup RPM...
+ echo

+ exec_cmd 'rpm -i --nosignature --force '\''/tmp/tmp.vSzhS88mQi'\'''
+ exec_cmd_nobail 'rpm -i --nosignature --force '\''/tmp/tmp.vSzhS88mQi'\'''
+ echo '+ rpm -i --nosignature --force '\''/tmp/tmp.vSzhS88mQi'\'''
+ rpm -i --nosignature --force '/tmp/tmp.vSzhS88mQi'
+ bash -c 'rpm -i --nosignature --force '\''/tmp/tmp.vSzhS88mQi'\'''
+ print_status 'Cleaning up...'
++ echo 'Cleaning up...'
+ local 'outp=Cleaning up...'
+ echo

+ echo -e '## Cleaning up...'
## Cleaning up...
+ echo

+ exec_cmd 'rm -f '\''/tmp/tmp.vSzhS88mQi'\'''
+ exec_cmd_nobail 'rm -f '\''/tmp/tmp.vSzhS88mQi'\'''
+ echo '+ rm -f '\''/tmp/tmp.vSzhS88mQi'\'''
+ rm -f '/tmp/tmp.vSzhS88mQi'
+ bash -c 'rm -f '\''/tmp/tmp.vSzhS88mQi'\'''
+ print_status 'Checking for existing installations...'
++ echo 'Checking for existing installations...'
+ local 'outp=Checking for existing installations...'
+ echo

+ echo -e '## Checking for existing installations...'
## Checking for existing installations...
+ echo

+ echo '+ rpm -qa '\''node|npm'\'' | grep -v nodesource'
+ rpm -qa 'node|npm' | grep -v nodesource
++ rpm -qa 'node|npm|iojs'
++ grep -v nodesource
+ EXISTING_NODE=
@chrislea

This comment has been minimized.

Contributor

chrislea commented Sep 27, 2016

Okay thanks, we'll try and parse this out and see if we can divine anything.

Are you behind any sort of network proxy?

@StubbsPKS

This comment has been minimized.

StubbsPKS commented Sep 27, 2016

AFAIK, I should not be behind a proxy. Thanks for the assist.

@Phrozyn

This comment has been minimized.

Phrozyn commented Oct 1, 2016

Hello, I also had this problem. I resolved it with a yum clean all and reboot.
Performing just a yum clean all did not resolve it - more notes at the bottom

[root@mozdeftest src]# rpm -qa node
[root@mozdeftest src]# rpm -qa npm
[root@mozdeftest src]# rpm -qa | grep nodesource
nodesource-release-el7-1.noarch
[root@mozdeftest src]# rpm -qa | grep node
nodesource-release-el7-1.noarch
[root@mozdeftest src]# yum install nodejs
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile

  • base: repos.lax.quadranet.com
  • epel: mirrors.cat.pdx.edu
  • extras: mirror.hostduplex.com
  • updates: centos.eecs.wsu.edu
    Resolving Dependencies
    --> Running transaction check
    ---> Package nodejs.x86_64 0:0.10.46-1nodesource.el7.centos will be installed
    --> Finished Dependency Resolution

Dependencies Resolved

Package Arch Version Repository Size

Installing:
nodejs x86_64 0.10.46-1nodesource.el7.centos nodesource 5.4 M

Transaction Summary

Install 1 Package

Total download size: 5.4 M
Installed size: 19 M
Is this ok [y/d/N]: N
Exiting on user command

I did run yum clean all several times and went as far as to remove any occurrence of node on the system prior to running the script after trying several times with the same result.
At this point I opted to manually download the package to install it from the location the script points to.

This morning I got to thinking about this again so decided to try something else. After doing yum clean all and then rebooting the system I reinstalled the repo.
Now, when I do a yum list nodejs, I now see the correct packages, as it also lists the 4.6 version as an update.

[root@mozdeftest ~]# yum list nodejs
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile

  • base: repos.lax.quadranet.com
  • epel: ftp.osuosl.org
  • extras: mirror.hmc.edu
  • updates: repo1.sea.innoscale.net

Installed Packages
nodejs.x86_64 1:4.5.0-1nodesource.el7.centos @/nodejs-4.5.0-1nodesource.el7.centos.x86_64

Available Packages
nodejs.x86_64 1:4.6.0-1nodesource.el7.centos nodesource

Maybe something is broken with Yum's caching?

@Phrozyn

This comment has been minimized.

Phrozyn commented Oct 4, 2016

I wanted to add that you can
rm -rf /var/cache/yum/*

Also yum clean all will not remove cached files for repo's that no longer exist which may explain what happened in my case. I had removed the original .10.x repo prior to running yum clean all.

@chrislea

This comment has been minimized.

Contributor

chrislea commented Oct 4, 2016

Ah, good to know @Phrozyn. @StubbsPKS if you try doing rm -rf /var/cache/yum/* does it resolve the issue?

@JasinYip

This comment has been minimized.

JasinYip commented Oct 17, 2016

Same problem here, it will install version 6.7.0 instead of version 4.x...

@dennis-stg

This comment has been minimized.

dennis-stg commented Nov 10, 2016

I was having this problem and rm -rf /var/cache/yum/* resolved it for me.

@jimmykane

This comment has been minimized.

jimmykane commented May 2, 2017

Same issue here and clearing the yum cache did the trick

@jesmarquez

This comment has been minimized.

jesmarquez commented May 18, 2017

Same issue and only deleted directory /var/cache/yum/x86_64/6Server/nodesource

@chrislea

This comment has been minimized.

Contributor

chrislea commented May 18, 2017

Okay it looks like this is a yum cache thing, not an issue with our repo. Thanks for the insights all. Closing.

@marklin2012

This comment has been minimized.

marklin2012 commented Aug 10, 2017

rm -rf /var/cache/yum/* This is helpful. So Awesome! Thanks for @Phrozyn !!!

@khoinm

This comment has been minimized.

khoinm commented Oct 9, 2017

This work for me, I have to manual remove nodesource repo file:

yum remove nodesource-release* nodejs
yum clean all
rm -rf /var/cache/yum/*
rm /etc/yum.repos.d/nodesource-el.repo
@kenn213

This comment has been minimized.

kenn213 commented Jul 14, 2018

Thanks @Phrozyn. This saved me a lot of trouble after I mistakenly installed the version 6 repo instead of the version 8 repo, and had to remove it.

@hadacekp

This comment has been minimized.

hadacekp commented Jul 29, 2018

Thanks TOO! i made mistake with installation version 8 instead 10 and this solve it:
yum remove nodesource-release* nodejs
yum clean all
rm -rf /var/cache/yum/*
rm /etc/yum.repos.d/nodesource-el.repo

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment